/**
 * @file
 * $Revision: 1.1.1.1 $
 * $Date: 2006/10/31 23:18:08 $
 *
 *   Unless noted otherwise, the portions of Isis written by the USGS are
 *   public domain. See individual third-party library and package descriptions
 *   for intellectual property information, user agreements, and related
 *   information.
 *
 *   Although Isis has been used by the USGS, no warranty, expressed or
 *   implied, is made by the USGS as to the accuracy and functioning of such
 *   software and related material nor shall the fact of distribution
 *   constitute any such warranty, and no responsibility is assumed by the
 *   USGS in connection therewith.
 *
 *   For additional information, launch
 *   $ISISROOT/doc//documents/Disclaimers/Disclaimers.html
 *   in a browser or see the Privacy &amp; Disclaimers page on the Isis website,
 *   http://isis.astrogeology.usgs.gov, and the USGS privacy and disclaimers on
 *   http://www.usgs.gov/privacy.html.
 */

using namespace std;

#include "Message.h"

string Isis::Message::KeywordValueBad(const string &key) {
  string message;
  message = "Keyword [" + key + "] has bad value";
  return message;
}

string Isis::Message::KeywordValueBad(const string &key, const string &value) {
  string message;

  message = "Keyword [" + key + "] has bad value [";
  if(value.size() <= 20) {
    message += value + "]";
  }
  else {
    message += value.substr(0, 20) + " ...]";
  }
  return message;
}
